connect / as SYSDBA
set echo on
spool install_jvm.log
REM
REM Setup a database for running Java and the ORB
REM ---------------------------------------------
REM
@$ORACLE_HOME/javavm/install/initjvm.sql;
REM
REM Load XML components into the JServer
REM ------------------------------------
REM
@$ORACLE_HOME/xdk/admin/initxml.sql;
REM
REM Loads NCOMP'ed XML Parser
REM -------------------------
REM
@$ORACLE_HOME/xdk/admin/xmlja.sql;
REM
REM Loads the XMLSQL Utility (XSU) into the database
REM ------------------------------------------------
REM
@$ORACLE_HOME/rdbms/admin/catxsu.sql;
REM
REM Install the Oracle Servlet Engine (OSE)
REM ---------------------------------------
REM
@$ORACLE_HOME/javavm/install/init_jis.sql $ORACLE_HOME;
REM
REM Adds the set of default end points to the server
REM with hardcoded values for the admin service
REM ------------------------------------------------
REM
@$ORACLE_HOME/javavm/install/jisaephc.sql $ORACLE_HOME;
REM
REM Turn on J Accelerator
REM ---------------------
REM
@$ORACLE_HOME/javavm/install/jisja.sql $ORACLE_HOME;
REM
REM Register EJB/Corba Dynamic Registration Endpoint
REM ------------------------------------------------
REM
@$ORACLE_HOME/javavm/install/jisdr.sql 2481 2482;
REM
REM Initialize Java Server Pages JSP
REM --------------------------------
REM
@$ORACLE_HOME/jsp/install/initjsp.sql;
REM
REM Turn on J Accelerator for JSP libs
REM ----------------------------------
REM
@$ORACLE_HOME/jsp/install/jspja.sql;
REM
REM Load AQ/JMS jar files into the database
REM ---------------------------------------
REM
@$ORACLE_HOME/rdbms/admin/initjms.sql;
REM
REM Load RepAPI server classes and publish 'repapi' obj
REM ----------------------------------------------------
REM
@$ORACLE_HOME/rdbms/admin/initrapi.sql;
REM
REM Loads sql, objects, extensibility and xml related java
REM ------------------------------------------------------
REM
@$ORACLE_HOME/rdbms/admin/initsoxx.sql;
REM
REM Loads appctxapi.jar for JavaVm enabled Database
REM -----------------------------------------------
REM
@$ORACLE_HOME/rdbms/admin/initapcx.sql;
REM
REM Load CDC jar files into the database
REM ------------------------------------
REM
@$ORACLE_HOME/rdbms/admin/initcdc.sql;
REM
REM Loads the Java stored procedures as required by the Summary Advisor
REM -------------------------------------------------------------------
REM
@$ORACLE_HOME/rdbms/admin/initqsma.sql;
REM
REM Load java classes required for sqljtype validation
REM --------------------------------------------------
REM
@$ORACLE_HOME/rdbms/admin/initsjty.sql;
REM
REM Load java componenta for AQ HTTP Propagation
REM --------------------------------------------
REM
@$ORACLE_HOME/rdbms/admin/initaqhp.sql;
spool off
